﻿

th {
    text-align: left;
}

.backgroundgray, .tablegrey {
    background-color: #DCDCDC;
    padding: 2px;
}

.ribbonshortcut {
    height: 10px;
}

    .ribbonshortcut td {
        height: 10px;
    }

.padding10 {
    padding: 10px;
}

.paddingVertical10 {
    padding-top: 10px;
    padding-bottom: 10px;
}

.IE6Style, .radsearchBoxDropDownSettings {
    width: 99%;
}

.borderroundtop {
    -moz-border-radius-topleft: 10px;
    -webkit-border-top-left-radius: 10px;
    -moz-border-radius-topright: 10px;
    -webkit-border-top-right-radius: 10px;
}

.borderround {
    -moz-border-radius-topleft: 10px;
    -webkit-border-top-left-radius: 10px;
    -moz-border-radius-topright: 10px;
    -webkit-border-top-right-radius: 10px;
    -moz-border-radius-bottomleft: 10px;
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-bottomright: 10px;
    -webkit-border-bottom-right-radius: 10px;
}


.modal {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: White;
    filter: Alpha(opacity=50.0);
    -moz-opacity: 0.5;
    opacity: 0.5;
    z-index: 7001;
}

.fehler {
    color: Red;
}

.bggreen {
    background-color: Green;
}

.bgyellow {
    background-color: Yellow;
}

.bgred {
    background-color: Red;
}

.tablebggreen {
    background-color: #BEDBBE;
}

    .tablebggreen th {
        background-color: Green;
        color: White;
        text-align: left;
        font-weight: bold;
        padding: 2px;
    }

.tableyellow {
    background-color: #FBF9E1;
}

    .tableyellow th {
        background-color: Yellow;
        color: Black;
        text-align: left;
        font-weight: bold;
        padding: 2px;
    }

.tablered {
    background-color: #E9C8C8;
}

    .tablered th {
        background-color: Red;
        color: White;
        text-align: left;
        font-weight: bold;
        padding: 2px;
    }

.tablegrey th {
    background-color: #777777;
    color: White;
    text-align: left;
    padding: 2px;
}

.BottomTask {
    position: absolute;
    bottom: 0%;
    right: 0%;
    width: 100%;
    padding: 4px;
}

.BottomTaskLeft {
    padding-left: 6px;
    float: left;
}

.BottomTaskRight {
    text-align: right;
    padding-right: 6px;
    right: 0px;
}

.TextBoxSearch {
    width: 400px !important;
}

.ScrollableDiv, .ScrollableDivTab, .SearchResultDiv {
    overflow-y: auto;
}

.header, .searchheader {
    font-weight: bold;
    font-size: 11pt;
}

.header2 {
    font-weight: bold;
}

.abofield {
    background-color: Yellow;
    font-style: italic;
}

.smalltext {
    font-size: 8pt;
}

.title {
    font-weight: bold;
    padding: 4px;
    background-color: #EFEFEF;
}

.subtitle {
    padding: 4px;
    margin-bottom: 6px;
}

.TitleBarMenu .rtbOuter {
    border-style: none !important;
}

.RadioButtonListWidth40 tr td {
    width: 40px;
    text-align: center;
}

#DivSplitter {
    border: 3px solid #669;
    min-width: 500px; /* Splitter can't be too thin ... */
    min-height: 300px; /* ... or too flat */
    height: 100%;
    width: 100%;
}

    #DivSplitter .vsplitbar {
        width: 6px;
        background: #aca url(img/vgrabber.gif) no-repeat center;
    }

        #DivSplitter .vsplitbar.active {
            background: #da8 url(img/vgrabber.gif) no-repeat center;
            opacity: 0.7;
        }

.ui-state-default {
    background-color: #88c
}

.ui-state-hover {
    background-color: #bbf
}

.ui-state-highlight {
    background-color: #68f
}

.ui-state-error {
    background-color: #eaa
}

.splitter-pane {
    overflow: auto;
}

.splitter-bar-vertical {
    width: 6px;
    background-image: url(img/vgrabber.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.splitter-bar-vertical-docked {
    width: 10px;
    background-image: url(img/vdockbar-trans.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.splitter-bar-horizontal {
    height: 6px;
    background-image: url(img/hgrabber.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.splitter-bar-horizontal-docked {
    height: 10px;
    background-image: url(img/hdockbar-trans.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.splitter-bar.ui-state-highlight {
    opacity: 0.7;
}

.splitter-iframe-hide {
    visibility: hidden;
}

.RadPanelBar .rpLevel2 .rpText {
    padding-left: 20px !important;
}

.RadPanelBar .rpLevel3 .rpText {
    padding-left: 30px !important;
}

.RadPanelBar .rpLevel4 .rpText {
    padding-left: 40px !important;
}

.RadPanelBar .rpLevel5 .rpText {
    padding-left: 50px !important;
}

.RadPanelBar .rpLevel6 .rpText {
    padding-left: 60px !important;
}

.tabletdleft {
    width: 20%;
    min-width: 200px;
    vertical-align: top;
}

.infoTable2Columns, .infoTable3Columns, .infoTable4Columns, .infoTable5Columns, .infoTable6Columns {
    display: grid;
    width: 100%;
}

.infoTable2Columns {
    grid-template-columns: 1fr 1fr;
}

.infoTable3Columns {
    grid-template-columns: 1fr 1fr 1fr;
}

.infoTable4Columns {
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.infoTable5Columns {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.infoTableRow {
    padding: 4px;
}

.enablehyphens {
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

.enableWordBreak {
    /* These are technically the same, but use both */
    overflow-wrap: break-word;
    word-wrap: break-word;
    -ms-word-break: break-all;
    /* This is the dangerous one in WebKit, as it breaks things wherever */
    /*word-break: break-all;*/
    /* Instead use this non-standard one: */
    word-break: break-word;
}

/* Tiles Basiseinstellungen */
.extranetTileContainer {
    /*display: flex;
    flex-direction: row;
    align-items: stretch;
    flex-wrap:wrap;*/
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row wrap;
    flex-flow: row wrap;
    align-items: stretch;
    overflow: auto;
    flex: 1;
    width: 100%;
    margin: 0;
}

    .extranetTileContainer > .extranetTile {
        /*flex: 1;
        min-width:250px !important;*/
        -webkit-flex: 1 auto;
        flex: 1 auto;
        min-width: 250px !important;
    }

.extranetTile {
}

/*.flex-container {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row wrap;
    flex-flow: row wrap;
    
    align-items: stretch;
    overflow: auto;
   width: 100%;
}

.flex-item {
    -webkit-flex: 1 auto;
    flex: 1 auto;
    
    min-width: 250px !important;
}

.demo {
    flex: 1;
    padding: .5rem;
}*/

/*.flex-container {
    overflow: auto;
}*/

@media all and (max-width: 1024px) {
    .extranetTileContainer > .extranetTile {
        min-width: 200px !important;
    }

    .TextBoxSearch {
        width: 200px !important;
    }

    .t-container {
        padding-left: 2px !important;
        padding-right: 2px !important;
    }
}

@media all and (max-width: 800px) {
    .extranetTileContainer > .extranetTile {
        min-width: 150px !important;
    }

    RadTile.rtileWide, .RadTile.rtileSquare {
        margin: 0 0 6px 0 !important;
    }
}

.TileDocument, .TileLink {
    background-color: #6A8BC0 !important;
    color: #fff !important;
    -ms-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

    .TileDocument .rtileTitle:before {
        font-family: "Font Awesome 5 Pro";
        font-weight: 400;
        content: "\f15c";
        font-size: 40px;
        color: #fff;
    }

    .TileLink .rtileTitle:before {
        font-family: "Font Awesome 5 Pro";
        font-weight: 900;
        content: "\f0c1";
        font-size: 40px;
        color: #fff;
    }

.TileChapter, .TilePlan {
    background-color: #385E87 !important;
    color: #fff !important;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
}

    .TileChapter .rtileTitle:before {
        font-family: "Font Awesome 5 Pro";
        font-weight: 400;
        content: "\f07c";
        font-size: 40px;
        color: #fff;
    }

.processLevel1Text, .processLevel2Text {
    font-weight: bold;
    vertical-align: middle;
    padding-left: 10px;
}

.processLevel1, .processLevel2 {
    width: 100%;
    display: inline-block;
    position: relative;
    padding: 0px !important;
}

.processLevel1 {
    height: 40px;
}


.processLevel1Text {
    line-height: 40px;
}

.processLevel2Text {
    line-height: 25px;
}

.processLevel2 {
    height: 25px;
}

.process {
    display: inline-block;
    padding: 5px;
    max-width: 200px;
    vertical-align: top;
}

.formObjectSelection {
    /*Minimalste Breite, damit man die Auswahl noch sinnig vornehmen kann*/
    min-width: 160px;
}

/* für Textfarbe in Einfach- u. Mehrfachauswahlen bei Formularen */
.ctlControlEdit_Class label,
.ctlControlEdit_Class label:before {
    color: #000 !important;
}

.ctlControlEdit_Class_White label,
.ctlControlEdit_Class_White label:before {
    color: #fff !important;
}

/* Kommentare */
.bit_dialog_settings_base {
    width: 100% !important;
    border: 1px solid !important;
    border-radius: 4px !important;
    background-color: !important;
}

    .bit_dialog_settings_base th {
        background-color: #a4b8c8;
        text-align: left;
        padding: 2px;
    }

.bit_dialog_settings_topic {
    background-color: !important;
    padding: 6px !important;
}

.bit_dialog_settings_done {
    background-color: #7dad55 !important;
    color: white;
    padding: 6px !important;
}

.bit_fa_button_onlyIcon_small {
    color: var(--bitcolor-main-font) !important;
    background-color: var(--bitcolor-main) !important;
    background-image: none !important;
    border-radius: 0px !important;
    border: 0px !important;
    font-size: 12px !important;
    box-shadow: none !important;
    transition: 500ms !important;
    padding: 4px 6px 4px 6px !important;
    align-items: center !important;
    margin-left: 0px !important;
}

.commentLevel2 {
    padding-left: 40px;
    padding-bottom: 10px;
}
/* -- */
/* -- */

.maxSize78px {
    max-height: 78px;
    max-width: 78px;
}

ins {
    background-color: #FCEC48;
    text-decoration: none;
}

del {
    color: #F60707;
    background-color: #FEC8C8;
}


.bit_padding_4 {
    padding: 4px;
}

.bit_padding_8 {
    padding: 8px;
}

.bit_panel_formular {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}

.bit_width_unset {
    width: unset !important;
}

/* Style für ColorInfo Items im Grid*/
.bit_grid_colorinfo_div {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 2px;
}

.bit_grid_colorinfo_color {
    width: 16px;
    height: 16px;
    min-width: 16px;
    min-height: 16px;
    flex-shrink: 0;
    border-radius: 4px;
    border: 2px solid var(--bitcolor-content-2) !important;
}


/* Title rot für Warnungen */
.bit_title_warning {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    flex-wrap: nowrap;
    font-size: 1.1em;
    background-color: #bd2c00;
    border-radius: 4px 4px 0px 0px;
    color: #ffffff;
    padding: 6px;
    box-sizing: border-box;
}


.bit_content_outerpanel_warning {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: #c84c42 !important;
    color: #ffffff !important;
    font-size: 1em;
    margin-top: 4px;
    border-radius: 0px 0px 4px 4px;
}


.bit_content_outerpanel {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: #E5EBEF !important;
    font-size: 1em;
    margin-top: 4px;
    border-radius: 0px 0px 4px 4px;
    box-sizing: border-box !important;
    height: 100% !important;
}

/* Abstand zwischen Elementen unten */
.bit_divider_content_bottom {
    margin-bottom: 14px !important; /* 14 */
}

.bit_required_asterisk {
    color: var(--bitcolor-validator-red) !important;
    padding: 2px;
    font-size: 1.2em;
}